clear all; close all; clc;

cd SIRage_canonical;
load base_SIRage_canonical;
cd ..

Iybase_SIRage=Iy;
Iobase_SIRage=Io;
Sybase_SIRage=Sy;
Sobase_SIRage=So;
Rybase_SIRage=Ry;
Robase_SIRage=Ro;
Dybase_SIRage=Dy;
Dobase_SIRage=Do;
aggCbase_SIRage=aggC;
aggHbase_SIRage=aggH;
crybase_SIRage=cry_ss;
crobase_SIRage=cro_ss;
nrybase_SIRage=nry_ss;
Tybase_SIRage=Ty;
Tobase_SIRage=To;

cd SIRage_macro_GP;
load base_SIRage_macro_GP;
cd ..

Iybase_SIRage_macro=Iy;
Iobase_SIRage_macro=Io;
Sybase_SIRage_macro=Sy;
Sobase_SIRage_macro=So;
Rybase_SIRage_macro=Ry;
Robase_SIRage_macro=Ro;
Dybase_SIRage_macro=Dy;
Dobase_SIRage_macro=Do;
aggCbase_SIRage_macro=aggC;
aggHbase_SIRage_macro=aggH;
crybase_SIRage_macro=cry_ss;
crobase_SIRage_macro=cro_ss;
nrybase_SIRage_macro=nry_ss;
Tybase_SIRage_macro=Ty;
Tobase_SIRage_macro=To;


mycolors;
ia=2;
ib=3;
fsize=14;
% horz=FF;
col_SIRage_macro=blue;
col_ERTbase=lightgreen;
col_SIR=violet;
lw=2;
lw_SIR=2;
lsy='-.';
lso=':';
ls_SIRmacro='--';


horz=150;

time=0:1:horz-1;

figure;
subplot(ia,ib,2)
plot(time,100*Sybase_SIRage(1:horz),'-.k','LineWidth',2);hold on
plot(time,100*Sobase_SIRage(1:horz),':k','LineWidth',2);hold on
plot(time,100*(Sybase_SIRage(1:horz)+Sobase_SIRage(1:horz)),'-k','LineWidth',1);hold on
plot(time,100*Sybase_SIRage_macro(1:horz),'color', col_SIRage_macro, 'linestyle', lsy, 'LineWidth',lw);hold on
plot(time,100*Sobase_SIRage_macro(1:horz),'color', col_SIRage_macro, 'linestyle', lso, 'LineWidth',lw);hold on
plot(time,100*(Sybase_SIRage_macro(1:horz)+Sobase_SIRage_macro(1:horz)),'color', col_SIRage_macro, 'linestyle', '-', 'LineWidth',1);hold on
set(gca,'GridLineStyle','--')
grid on
% axis tight


box off;
title('Susceptibles, S','FontSize',fsize);
ylabel('% of Initial Population','FontSize',fsize);
set(gca,'FontSize',fsize);

subplot(ia,ib,3)
plot(time,100*Rybase_SIRage(1:horz),'-.k','LineWidth',2);hold on
plot(time,100*Robase_SIRage(1:horz),':k','LineWidth',2);hold on
plot(time,100*(Rybase_SIRage(1:horz)+Robase_SIRage(1:horz)),'-k','LineWidth',1);hold on
plot(time,100*Rybase_SIRage_macro(1:horz),'color', col_SIRage_macro, 'linestyle', lsy, 'LineWidth',lw);hold on
plot(time,100*Robase_SIRage_macro(1:horz),'color', col_SIRage_macro, 'linestyle', lso, 'LineWidth',lw);hold on
plot(time,100*(Rybase_SIRage_macro(1:horz)+Robase_SIRage_macro(1:horz)),'color', col_SIRage_macro, 'linestyle', '-', 'LineWidth',1);hold on

box off;
title('Recovered, R','FontSize',fsize);
ylabel('% of Initial Population','FontSize',fsize);
set(gca,'FontSize',fsize);
set(gca,'GridLineStyle','--')
grid on
% axis tight


subplot(ia,ib,4)
plot(time,100*Dybase_SIRage(1:horz),'-.k','LineWidth',2);hold on
plot(time,100*Dobase_SIRage(1:horz),':k','LineWidth',2);hold on
plot(time,100*(Dybase_SIRage(1:horz)+Dobase_SIRage(1:horz)),'-k','LineWidth',1);hold on
plot(time,100*Dybase_SIRage_macro(1:horz),'color', col_SIRage_macro, 'linestyle', lsy, 'LineWidth',lw);hold on
plot(time,100*Dobase_SIRage_macro(1:horz),'color', col_SIRage_macro, 'linestyle', lso, 'LineWidth',lw);hold on
plot(time,100*(Dybase_SIRage_macro(1:horz)+Dobase_SIRage_macro(1:horz)),'color', col_SIRage_macro, 'linestyle', '-', 'LineWidth',1);hold on
set(gca,'GridLineStyle','--')
grid on
% axis tight

box off;
title('Deaths, D','FontSize',fsize);
ylabel('% of Initial Population','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);

subplot(ia,ib,5)
plot(time,0*100*(aggC(1:horz)-(cry_ss*fy+cro_ss*fo))/(cry_ss*fy+cro_ss*fo),':m','LineWidth',1.5); hold on
plot(time,100*(aggCbase_SIRage(1:horz)-(cry_ss*fy+cro_ss*fo))/(cry_ss*fy+cro_ss*fo),'k-','LineWidth',2); hold on
plot(time,100*(aggCbase_SIRage_macro(1:horz)-(cry_ss*fy+cro_ss*fo))/(cry_ss*fy+cro_ss*fo),'color', col_SIRage_macro, 'linestyle', '-', 'LineWidth',lw); hold on
set(gca,'GridLineStyle','--')
grid on
% axis tight

% plot(time,100*(aggCperturb1(1:horz)-crperturb1)/crperturb1,'k--','LineWidth',2);hold on
% plot(time,100*(aggCperturb2(1:horz)-crperturb2)/crperturb2,'r-.','LineWidth',2);hold off
box off;
title('Aggregate Consumption, C','FontSize',fsize);
ylabel('% Dev. from Initial Steady State','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);

subplot(ia,ib,6)
plot(time,0*100*(aggC(1:horz)-(cry_ss*fy+cro_ss*fo))/(cry_ss*fy+cro_ss*fo),':m','LineWidth',1.5); hold on,
hH=plot(time,100*(aggHbase_SIRage(1:horz)-nry_ss*fy)/(nry_ss*fy),'k-','LineWidth',2); hold on
hH_macro=plot(time,100*(aggHbase_SIRage_macro(1:horz)-nry_ss*fy)/(nry_ss*fy),'color', col_SIRage_macro, 'linestyle', '-', 'LineWidth',lw); hold on
set(gca,'GridLineStyle','--')
grid on
% axis tight

% plot(time,100*(aggHperturb1(1:horz)-nrperturb1)/nrperturb1,'k--','LineWidth',2);hold on
% plot(time,100*(aggHperturb2(1:horz)-nrperturb2)/nrperturb2,'r-.','LineWidth',2);hold off
box off;
title('Aggregate Hours, H','FontSize',fsize);
ylabel('% Dev. from Initial Steady State','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);

subplot(ia,ib,1)
plot(time,100*Iybase_SIRage(1:horz),'-.k','LineWidth',2);hold on
plot(time,100*Iobase_SIRage(1:horz),':k','LineWidth',2);hold on
plot(time,100*(Iybase_SIRage(1:horz)+Iobase_SIRage(1:horz)),'-k','LineWidth',1);hold on
hy=plot(time,100*Iybase_SIRage_macro(1:horz),'color', col_SIRage_macro, 'linestyle', lsy, 'LineWidth',lw);hold on
ho=plot(time,100*Iobase_SIRage_macro(1:horz),'color', col_SIRage_macro, 'linestyle', lso, 'LineWidth',lw);hold on
ht=plot(time,100*(Iybase_SIRage_macro(1:horz)+Iobase_SIRage_macro(1:horz)),'color', col_SIRage_macro, 'linestyle', '-', 'LineWidth',1);hold on
set(gca,'GridLineStyle','--')
grid on
% axis tight


% plot(time,100*Iperturb1(1:horz),'k--','LineWidth',2);hold on
% plot(time,100*Iperturb2(1:horz),'r-.','LineWidth',2);hold off
box off;
title('Infected, I','FontSize',fsize);
ylabel('% of Initial Population','FontSize',fsize);
set(gca,'FontSize',fsize);
legend([hy ho ht], {'young', 'old', 'total'}, 'location', 'NorthEast', 'box', 'off', 'FontSize',11);


% leg1=legend([hH_macro hH], {'Baseline SIR-age macro Model','SIR-age Model'}, 'box', 'off');
leg1=legend([hH_macro hH ], {'Baseline SIR-age macro Model','SIR-age Model'}, 'box', 'off');

% leg1=legend('Baseline SIR-age macro Model', 'SIR-age Model, \pi^s_{y,1}= \pi^s_{y,2}= \pi^s_{y,4}= \pi^s_{o,1}= \pi^s_{o,2}=0, \pi^s_{y,3}=\pi^s_{o,3}=\eta');
set(leg1,...
    'Position',[-0.0704335567178815 0.95 1.19107142857143 0.044047619047619],...
'Orientation','horizontal');
legend boxoff;
